> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Update Requests

> List the knowledge gap reports, with the filters of the Knowledge Gap Reports page.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/knowledge-update-requests
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/knowledge-update-requests:
    get:
      tags:
        - Knowledge Update Requests
      summary: List Knowledge Update Requests
      description: >-
        List the knowledge gap reports, with the filters of the Knowledge Gap
        Reports page.
      operationId: >-
        core_api_v1_controllers_knowledge_update_requests_list_knowledge_update_requests
      parameters:
        - in: query
          name: status
          schema:
            anyOf:
              - enum:
                  - open
                  - pending
                  - in_progress
                  - resolved
                  - rejected
                type: string
              - type: 'null'
            description: open = pending or in progress (the UI's To review)
            title: Status
          required: false
          description: open = pending or in progress (the UI's To review)
        - in: query
          name: kind
          schema:
            anyOf:
              - $ref: '#/components/schemas/KnowledgeGapKindEnum'
              - type: 'null'
            description: >-
              documentation: missing knowledge; product_issue: a product
              malfunction
          required: false
          description: >-
            documentation: missing knowledge; product_issue: a product
            malfunction
        - in: query
          name: gap_types
          schema:
            anyOf:
              - items:
                  $ref: '#/components/schemas/KnowledgeGapTypeEnum'
                type: array
              - type: 'null'
            description: Gap types, comma-separated or repeated
            title: Gap Types
          required: false
          description: Gap types, comma-separated or repeated
        - in: query
          name: source
          schema:
            anyOf:
              - $ref: '#/components/schemas/KnowledgeGapSourceEnum'
              - type: 'null'
            description: How the gap was detected
          required: false
          description: How the gap was detected
        - in: query
          name: min_occurrences
          schema:
            anyOf:
              - minimum: 1
                type: integer
              - type: 'null'
            description: Gaps met in at least this many conversations
            title: Min Occurrences
          required: false
          description: Gaps met in at least this many conversations
        - in: query
          name: min_probability
          schema:
            anyOf:
              - maximum: 1
                minimum: 0
                type: number
              - type: 'null'
            description: Gaps whose judged probability is at least this value
            title: Min Probability
          required: false
          description: Gaps whose judged probability is at least this value
        - in: query
          name: topic_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Conversation topic (or one of its sub-topics)
            title: Topic Id
          required: false
          description: Conversation topic (or one of its sub-topics)
        - in: query
          name: agent_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Agent Id
          required: false
        - in: query
          name: knowledge_document_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Gaps concerning this document
            title: Knowledge Document Id
          required: false
          description: Gaps concerning this document
        - in: query
          name: knowledge_source_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Gaps concerning a document of this source
            title: Knowledge Source Id
          required: false
          description: Gaps concerning a document of this source
        - in: query
          name: start_date
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: Created at or after (ISO 8601)
            title: Start Date
          required: false
          description: Created at or after (ISO 8601)
        - in: query
          name: end_date
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: Created at or before (ISO 8601)
            title: End Date
          required: false
          description: Created at or before (ISO 8601)
        - in: query
          name: sort
          schema:
            anyOf:
              - enum:
                  - priority
                  - occurrences
                  - recent
                  - probability
                  - status
                  - gap_type
                  - source
                  - agent
                  - document
                type: string
              - type: 'null'
            description: 'Default: most recent first'
            title: Sort
          required: false
          description: 'Default: most recent first'
        - in: query
          name: order
          schema:
            default: desc
            enum:
              - asc
              - desc
            title: Order
            type: string
          required: false
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeUpdateRequestListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    KnowledgeGapKindEnum:
      enum:
        - documentation
        - product_issue
      title: KnowledgeGapKindEnum
      type: string
    KnowledgeGapTypeEnum:
      enum:
        - unanswered
        - partial
        - wrong
        - hedged
        - out_of_scope
        - conflicting
      title: KnowledgeGapTypeEnum
      type: string
    KnowledgeGapSourceEnum:
      enum:
        - user_feedback
        - nightly_batch_llm
        - manual
        - agent_runtime
        - simulation
      title: KnowledgeGapSourceEnum
      type: string
    KnowledgeUpdateRequestListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/KnowledgeUpdateRequestListItemSchema'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: KnowledgeUpdateRequestListOut
      type: object
    KnowledgeUpdateRequestListItemSchema:
      description: Lightweight schema for listing requests.
      properties:
        id:
          title: Id
          type: string
        message:
          title: Message
          type: string
        status:
          title: Status
          type: string
        created_at:
          title: Created At
          type: string
        updated_at:
          title: Updated At
          type: string
        knowledge_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Document Id
        knowledge_document_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Document Title
        thread_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Thread Id
        business_message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Message Id
        user_question:
          title: User Question
          type: string
        gap_summary:
          title: Gap Summary
          type: string
        source:
          title: Source
          type: string
        gap_type:
          title: Gap Type
          type: string
        gap_probability:
          anyOf:
            - type: number
            - type: 'null'
          title: Gap Probability
        occurrence_count:
          title: Occurrence Count
          type: integer
        worth_an_article:
          anyOf:
            - type: number
            - type: 'null'
          title: Worth An Article
        kind:
          title: Kind
          type: string
        topics:
          items:
            type: string
          title: Topics
          type: array
        confidence:
          title: Confidence
          type: number
        recommended_kb_actions_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Recommended Kb Actions Summary
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
      required:
        - id
        - message
        - status
        - created_at
        - updated_at
        - knowledge_document_id
        - knowledge_document_title
        - thread_id
        - business_message_id
        - user_question
        - gap_summary
        - source
        - gap_type
        - gap_probability
        - occurrence_count
        - worth_an_article
        - kind
        - topics
        - confidence
        - recommended_kb_actions_summary
        - agent_id
        - agent_name
      title: KnowledgeUpdateRequestListItemSchema
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.